Bug 73719

Summary: [GTK] Plugins sometimes crash WebKitGTK+ with Gdk-CRITICAL **: gdk_window_get_toplevel: assertion `GDK_IS_WINDOW (window)' failed
Product: WebKit Reporter: Martin Robinson <mrobinson>
Component: WebKitGTKAssignee: Martin Robinson <mrobinson>
Status: RESOLVED FIXED    
Severity: Normal CC: webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Martin Robinson 2011-12-02 16:34:36 PST
I've noticed this crash a few times. I was once able to get a back trace. This appears to be a weird interaction between WebKitGTK+ and nspluginwrapper.
Comment 1 Martin Robinson 2011-12-03 01:17:24 PST
Created attachment 117750 [details]
Patch
Comment 2 Martin Robinson 2011-12-15 09:39:14 PST
Here's the backtrace:


#0  0x00007ffff4d64992 in gdk_window_has_impl (window=0x0) at /build/buildd/gtk+3.0-3.2.0/./gdk/gdkwindow.c:650
#1  _gdk_window_has_impl (window=0x0) at /build/buildd/gtk+3.0-3.2.0/./gdk/gdkwindow.c:651
#2  0x00007ffff4d938ce in gdk_x11_window_get_xid (window=0x0)
    at /build/buildd/gtk+3.0-3.2.0/./gdk/x11/gdkwindow-x11.c:4753
#3  0x00007ffff69839ed in WebCore::PluginView::platformGetValue(NPNVariable, void*, short*) ()
   from /usr/local/lib/libwebkitgtk-3.0.so.0
#4  0x00007ffff60c85e5 in WebCore::PluginView::getValue(NPNVariable, void*) ()
   from /usr/local/lib/libwebkitgtk-3.0.so.0
#5  0x00007fff7d0da030 in ?? () from /var/lib/flashplugin-installer/npwrapper.libflashplayer.so
#6  0x00007fff7d0da1bb in ?? () from /var/lib/flashplugin-installer/npwrapper.libflashplayer.so
#7  0x00007fff7d0e3b9f in ?? () from /var/lib/flashplugin-installer/npwrapper.libflashplayer.so
#8  0x00007fff7d0e3daa in ?? () from /var/lib/flashplugin-installer/npwrapper.libflashplayer.so
#9  0x00007fff7d0e3f90 in ?? () from /var/lib/flashplugin-installer/npwrapper.libflashplayer.so
#10 0x00007fff7d0e52d0 in ?? () from /var/lib/flashplugin-installer/npwrapper.libflashplayer.so
#11 0x00007fff7d0e532d in ?? () from /var/lib/flashplugin-installer/npwrapper.libflashplayer.so
#12 0x00007ffff31f190a in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#13 0x00007ffff31f1cd0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#14 0x00007ffff31f1d94 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#15 0x00007ffff3b8a084 in g_application_run () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#16 0x0000000000431a2e in main (argc=1, argv=0x7fffffffe088) at ephy-main.c:475
Comment 3 Philippe Normand 2011-12-15 09:43:04 PST
Comment on attachment 117750 [details]
Patch

Ok!
Comment 4 WebKit Review Bot 2011-12-15 10:28:45 PST
Comment on attachment 117750 [details]
Patch

Clearing flags on attachment: 117750

Committed r102958: <http://trac.webkit.org/changeset/102958>
Comment 5 WebKit Review Bot 2011-12-15 10:28:51 PST
All reviewed patches have been landed.  Closing bug.